Subject: Re: bug#17358: 24.4.50; emacs not recognizing process-exit correctly?

From: Daniel Colascione <[email-masked]>
Date: Sun, 27 Apr 2014 17:03:09 -0700

On 04/27/2014 04:59 PM, T. V. Raman wrote:
> This has now happened to me with both mplayer and gpg, so I am
> beginning to suspect a bug in the process status handling code
> ...
> 
> Symptoms: Happens in long-running emacs sessions, and fails to
> repro if you kill and restart Emacs.

How long?

> When the bug bites,, emacs hangs waiting for the subprocess even
> though the subprocess has quit. Happens for example when you open
> a foo.gpg file. If this happens, the gpg process finishes
> decrypting the file, but Emacs fails to notice that it is done,
> and hangs. Hitting C-g produces the message "buffer *epg* has a
> running process ...". If you answer "no" to  kill that process,
> emacs continues to hang.  Checking status of the gpg process from
> a different terminal shows that process' status as "defunct".
> 
> Similar behavior with mplayer as well.
> 
> This is on an oldish Linux box that is still running Ubuntu
> Jaunty, but with updated libs for gnutls etc.

Just a hunch: can you try a non-glib Emacs?